import NaomisConfig from "@nhcarrigan/eslint-config";

export default [
    ...NaomisConfig,
    {
        rules: {
            "@typescript-eslint/naming-convention": "off",
            "unicorn/filename-case": "off",
            "max-lines": "off",
            "max-lines-per-function": "off",
            "complexity": "off",
            "import/no-default-export": "off",
            "import/extensions": ["warn", "never"]
        }
    },
    {
        files: ["src/config/*.ts"],
        rules: {
            "stylistic/max-len": "off"
        }
    },
    {
        files: ["src/icons/*.ts"],
        rules: {
            "@typescript-eslint/consistent-type-assertions": "off"
        }
    },
    {
        files: ["test/**/*.spec.ts"],
        rules: {
            "max-nested-callbacks": "off"
        }
    }
]