/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * List of vroid models to render.
 */
const VRoid = [
  {
    file: "business.vrm",
    name: "Business Suit",
  },
  {
    file: "casual.vrm",
    name: "Casual Outfit",
  },
  {
    file: "formal.vrm",
    name: "Formal Outfit",
  },
  {
    file: "sleep.vrm",
    name: "Sleepwear",
  },
  {
    file: "swim.vrm",
    name: "Swimsuit",
  },
  {
    file: "goth.vrm",
    name: "Goth Outfit",
  },
  {
    file: "kimono.vrm",
    name: "Kimono",
  },
  {
    file: "knight.vrm",
    name: "Valiant Knight",
  },
  {
    file: "miko.vrm",
    name: "Divine Miko",
  },
  {
    file: "onmyoji.vrm",
    name: "Onmyōji",
  },
  {
    file: "sailor.vrm",
    name: "Sailor Fuku",
  },
  {
    file: "sweater.vrm",
    name: "Sweater Dress",
  },
  {
    file: "witch",
    name: "Arcane Witch",
  },
];

const MainVRoid = {
  file: "main.vrm",
  name: "Main Outfit",
};

export { VRoid, MainVRoid };
